Subject: Re: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: Jean Louis <[email-masked]>
Date: Wed, 9 Dec 2020 13:06:57 +0300

* martin rudalics <[email-masked]> [2020-12-09 12:34]:
> > Thanks, sometime ago I asked how this would be possible to do,
> > and now I'm testing your patch (it missed trailing spaces on diff
> > context lines, but still applies without problems).
> >
> > It seems to be really useful this option needs to keep only windows
> > implicitly created by the user, but remove windows created
> > automatically by mibibuffer-related commands such as the buffer
> > *Completions*.
>
> Such windows must be removed by the mechanism that created them.  I
> hardly ever see such windows here because I'm apparently using some
> arcane completions mechanism that always puts them in place right away.
> But if I'm not mistaken, several such windows may pop up during one and
> the same minibuffer input operation and IMO all of them should pop down
> automatically as soon as they served their purpose.

I am not sure if my case was understood, let me use artist-mode:

 +----------------------------+
 |                            |
 | I was changing this        |
 | during minibuffer edit     |
 +----------------------------+
 | I was also changing this   |
 | during minibuffer editd    |		-
 |                    	      |
 +----------------------------+
 +----------------------------+

If I would have larger screen I would put all necessary buffers around
and use them to get references for minibuffer input. Instead I was
switching buffers in upper windows during minibuffer edit. It is not
related to shrinking or completions. My minibuffer was not completing
rather just reading string. During editing I would go up and switch to
one image or other. I was in the loop of minibuffer editing of
multiple coordinates. Upon each editing the already set images in
upper windows would switch back where minibuffer was invoked
initially.

That forces me to use outside program to keep pictures on screen when
required and makes editing less useful.